.taskActivePageWrap {
  width: 7.5rem;
  height: 100vh;
  margin: 0 auto;
  overflow-y: scroll;
}

.taskActivePageWrap .top {
  position: relative;
  width: 100%;
  height: 4.4rem;
  background: url("//image.gamersky.com/webimg13/zt/gameCommentGuider20211213/image_Top_375x220@3x.png") no-repeat center/7.5rem 4.4rem;
}

.taskActivePageWrap .top .closeBtn {
  position: absolute;
  left: 0.32rem;
  top: 1.04rem;
  width: .4rem;
  height: .4rem;
  background: url("//image.gamersky.com/webimg13/zt/gameCommentGuider20211213/icon@3x.png") no-repeat center/0.4rem;
}

.taskActivePageWrap .taskClassList {
  position: relative;
  left: 0;
  top: -0.4rem;
  width: 100%;
  padding: .4rem .32rem;
  box-sizing: border-box;
  background-color: #fff;
  border-radius: .24rem .24rem 0 0;
}

.taskActivePageWrap .taskClassItem {
  width: 100%;
  margin-bottom: .4rem;
}

.taskActivePageWrap .taskClassItem .taskClassName {
  font-size: .36rem;
  font-weight: bold;
  color: #222;
  line-height: .64rem;
}

.taskActivePageWrap .taskClassItem .taskList {
  width: 100%;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem {
  display: flex;
  height: auto;
  padding: .24rem 0;
  box-sizing: border-box;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .icon {
  margin-top: .04rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .icon.medal {
  width: .88rem;
  height: .88rem;
  background: url("//image.gamersky.com/webimg13/zt/gameCommentGuider20211213/image_Daren_44x44@3x.png") no-repeat center/0.88rem;
  margin-right: .16rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .icon.game {
  width: .8rem;
  height: .8rem;
  background: url("//image.gamersky.com/webimg13/zt/gameCommentGuider20211213/icon_Dianping_40x40@3x.png") no-repeat center/0.8rem;
  margin-right: .24rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter {
  flex: 1;
  margin-right: .32rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter h5 {
  font-size: .28rem;
  font-weight: bold;
  color: #222;
  line-height: .4rem;
  margin-bottom: .08rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter p {
  font-size: .24rem;
  color: #999;
  line-height: .32rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter .reward {
  display: flex;
  align-items: center;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter .reward .coinIcon {
  width: .32rem;
  height: .32rem;
  margin-right: .08rem;
  background: url("//image.gamersky.com/webimg13/zt/gameCommentGuider20211213/icon_Jiinbi_16x16@3x.png") no-repeat center/0.32rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemCenter .reward span {
  font-size: .24rem;
  color: #999;
  line-height: .34rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemRight {
  margin-top: .18rem;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemRight .completeBtn {
  display: block;
  width: 1.2rem;
  height: .56rem;
  background-color: #222;
  border-radius: .08rem;
  text-align: center;
  line-height: .56rem;
  font-size: .24rem;
  color: #fff;
  font-weight: 500;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemRight span {
  display: inline-block;
  width: 1.2rem;
  overflow: hidden;
  font-size: .24rem;
  color: #FF9F1D;
  line-height: .34rem;
  margin-top: .12rem;
  white-space: nowrap;
  text-align: center;
}

.taskActivePageWrap .taskClassItem .taskList .taskItem .taskItemRight.cur .completeBtn {
  background-color: #F5F7F9;
  color: #999;
}

.taskActivePageWrap .noList {
  display: none;
  margin: 0 auto;
}

.taskActivePageWrap .noList img {
  display: block;
  width: 4rem;
  height: 2.6rem;
  margin: 0 auto;
}

.taskActivePageWrap .noList p {
  font-size: .28rem;
  color: #999;
  line-height: .4rem;
  text-align: center;
}
